<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.njzscloud.supervisory.sys.role.mapper.RoleMapper">

    <select id="paging" resultType="com.njzscloud.supervisory.sys.role.pojo.entity.RoleEntity">
        SELECT id,
        role_code,
        role_name,
        memo,
        creator_id,
        modifier_id,
        create_time,
        modify_time,
        deleted
        FROM sys_role
        <if test="ew != null and ew.customSqlSegment != null and ew.customSqlSegment !=''">
            ${ew.customSqlSegment}
        </if>
    </select>
</mapper>
